import EuiBasePage from '../eui-base.po.js'
import CoUxPopover from '../../../../components/10x/ux/ux-popover.js'

export default class PopoverPage extends EuiBasePage {
  constructor() {
      super();
  }
  popoverByIndex(index) {
    let popover =  new CoUxPopover('//body');
    return popover.byIndex(index);
  }
  popoverByTextContains(text) {
    let popover = new CoUxPopover('//body');
    return popover.byTextContains(text);
  }
  popoverByTextEqualsAndIndex(text, index, normalize=true) {
    let popover = new CoUxPopover('//body');
    return popover.byTextEqualsAndIndex(text, index, normalize);
  }
}


